メインコンテンツへスキップ
POST
/
scheduler
/
v3
/
meetings
/
calendar
新しいカレンダー ミーティング イベントを作成します。
curl --request POST \
  --url https://api.hubapi.com/scheduler/v3/meetings/calendar \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associations": [
    {
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationTypeId": 123
        }
      ]
    }
  ],
  "emailReminderSchedule": {
    "reminders": [
      {
        "numberOfTimeUnits": 123
      }
    ],
    "shouldIncludeInviteDescription": true
  },
  "properties": {
    "hs_meeting_end_time": "2023-11-07T05:31:56Z",
    "hs_meeting_outcome": "<string>",
    "hs_meeting_start_time": "2023-11-07T05:31:56Z",
    "hs_meeting_title": "<string>",
    "hs_timestamp": "2023-11-07T05:31:56Z",
    "hubspot_owner_id": "<string>",
    "hs_activity_type": "<string>",
    "hs_attachment_ids": [
      "<string>"
    ],
    "hs_attendee_owner_ids": [
      "<string>"
    ],
    "hs_internal_meeting_notes": "<string>",
    "hs_meeting_body": "<string>",
    "hs_meeting_location": "<string>"
  },
  "timezone": "<string>"
}
'
import requests

url = "https://api.hubapi.com/scheduler/v3/meetings/calendar"

payload = {
"associations": [
{
"to": { "id": "<string>" },
"types": [{ "associationTypeId": 123 }]
}
],
"emailReminderSchedule": {
"reminders": [{ "numberOfTimeUnits": 123 }],
"shouldIncludeInviteDescription": True
},
"properties": {
"hs_meeting_end_time": "2023-11-07T05:31:56Z",
"hs_meeting_outcome": "<string>",
"hs_meeting_start_time": "2023-11-07T05:31:56Z",
"hs_meeting_title": "<string>",
"hs_timestamp": "2023-11-07T05:31:56Z",
"hubspot_owner_id": "<string>",
"hs_activity_type": "<string>",
"hs_attachment_ids": ["<string>"],
"hs_attendee_owner_ids": ["<string>"],
"hs_internal_meeting_notes": "<string>",
"hs_meeting_body": "<string>",
"hs_meeting_location": "<string>"
},
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
associations: [{to: {id: '<string>'}, types: [{associationTypeId: 123}]}],
emailReminderSchedule: {reminders: [{numberOfTimeUnits: 123}], shouldIncludeInviteDescription: true},
properties: {
hs_meeting_end_time: '2023-11-07T05:31:56Z',
hs_meeting_outcome: '<string>',
hs_meeting_start_time: '2023-11-07T05:31:56Z',
hs_meeting_title: '<string>',
hs_timestamp: '2023-11-07T05:31:56Z',
hubspot_owner_id: '<string>',
hs_activity_type: '<string>',
hs_attachment_ids: ['<string>'],
hs_attendee_owner_ids: ['<string>'],
hs_internal_meeting_notes: '<string>',
hs_meeting_body: '<string>',
hs_meeting_location: '<string>'
},
timezone: '<string>'
})
};

fetch('https://api.hubapi.com/scheduler/v3/meetings/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "lastUpdatedAt": "2023-11-07T05:31:56Z",
  "properties": {
    "hs_engagement_source_id": "<string>",
    "hs_meeting_end_time": "2023-11-07T05:31:56Z",
    "hs_meeting_outcome": "<string>",
    "hs_meeting_start_time": "2023-11-07T05:31:56Z",
    "hs_meeting_title": "<string>",
    "hs_timestamp": "2023-11-07T05:31:56Z",
    "hs_activity_type": "<string>",
    "hs_attachment_ids": [
      "<string>"
    ],
    "hs_attendee_owner_ids": [
      "<string>"
    ],
    "hs_include_description_in_reminder": "<string>",
    "hs_internal_meeting_notes": "<string>",
    "hs_meeting_body": "<string>",
    "hs_meeting_external_url": "<string>",
    "hs_meeting_location": "<string>",
    "hs_unique_id": "<string>",
    "hubspot_owner_id": "<string>"
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

organizerUserId
string
必須

ボディ

application/json
associations
object[]
必須
emailReminderSchedule
object
必須
properties
object
必須
timezone
string
必須

ミーティングイベントで設定されるタイムゾーンプロパティー。

レスポンス

successful operation

createdAt
string<date-time>
必須

ミーティングイベントが最初に作成された日時(ISO 8601形式)。

id
string
必須

ミーティングイベントの固有ID。

lastUpdatedAt
string<date-time>
必須

ミーティングイベントが最後に更新された日時(ISO 8601形式)。

properties
object
必須
最終更新日 2026年4月10日